SystemOrganization addCategory: #'JiffyCard-Store'!

ALAsyncExample subclass: #JCCounterExample
	instanceVariableNames: 'countmodel counterinput counterwindow'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'JiffyCard-Store'!

!JCCounterExample methodsFor: 'as yet unclassified' stamp: 'chc 12/28/2017 10:14'!
initialize
	super initialize.
	countmodel := CounterModel new.
	counterinput := CounterInput new countermodel: countmodel.
	counterwindow := CounterWindow new countermodel: countmodel! !

!JCCounterExample methodsFor: 'as yet unclassified' stamp: 'chc 12/28/2017 10:14'!
renderContentOn: html
	html div id: 'ci'; with: counterinput.
	html div id: 'cw'; with: counterwindow! !

Object subclass: #JCExamplePage
	instanceVariableNames: 'current'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'JiffyCard-Store'!

!JCExamplePage methodsFor: 'converting' stamp: 'chc 12/29/2017 00:56'!
asResource
	^ ALExampleResource component: self! !

!JCExamplePage methodsFor: 'initialize-release' stamp: 'chc 12/29/2017 00:57'!
initialize
	current := JCCounterExample new! !

!JCExamplePage methodsFor: 'rendering' stamp: 'chc 12/29/2017 01:01'!
renderBodyOn: html
	html div
		class: 'example';
		with: [current renderOn: html]! !

!JCExamplePage methodsFor: 'rendering' stamp: 'chc 12/29/2017 00:56'!
renderHtmlOn: html
	html html: 
		[html head: 
			[html title: 'Altitude Examples'.
			self renderStylesOn: html].
		html body: [ self renderBodyOn: html ] ]! !

!JCExamplePage methodsFor: 'rendering' stamp: 'chc 12/29/2017 00:56'!
renderJsonOn: json
	current renderJsonOn: json! !

!JCExamplePage methodsFor: 'rendering' stamp: 'chc 12/29/2017 00:56'!
renderStylesOn: html
	html style: [html text: self style].
	current renderStyleOn: html! !

!JCExamplePage methodsFor: 'rendering' stamp: 'chc 12/29/2017 00:56'!
style
	^ '
div.navbar {
    position: absolute;
    left: 0;
    top: 0;
    bottom: 0;
    width: 200px;
}

div.navbar li {
    list-style-type: none;
}

div.navbar a {
    text-decoration: none;
}

div.example {
    position: absolute;
    top: 0;
    right: 0;
    left: 200px;
    bottom: 0;
}

.example h1 {
  font-size: 36px;
}
'! !

ALApplication subclass: #JCExampleApplication
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'JiffyCard-Store'!

!JCExampleApplication methodsFor: 'as yet unclassified' stamp: 'chc 12/29/2017 00:55'!
initializeLocator
	locator 
		at: ALPath root 
		put: JCExamplePage new asResource! !
